# Class CSSParserFactoryImpl

java.lang.Object
org.eclipse.e4.ui.css.core.dom.parsers.CSSParserFactory
org.eclipse.e4.ui.css.core.impl.dom.parsers.CSSParserFactoryImpl

All Implemented Interfaces:
  `ICSSParserFactory`

public class CSSParserFactoryImpl extends CSSParserFactory
`CSSParserFactory` implementation.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`CSSParserFactoryImpl()`

## Method Summary

Modifier and Type
Method
Description
`CSSParser`
`makeCSSParser()`
Return instance of `CSSParser`.

### Methods inherited from class CSSParserFactory

`newInstance`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSParserFactoryImpl

public CSSParserFactoryImpl()

## Method Details

### makeCSSParser

public CSSParser makeCSSParser()
Description copied from interface: `ICSSParserFactory`
Return instance of `CSSParser`.